Bug 572770 - [abrt] crash in yum-utils-1.1.26-1.fc12
[abrt] crash in yum-utils-1.1.26-1.fc12
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
abrt_hash:155d46f5
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-11 18:46 EST by Thom Carlin
Modified: 2014-01-21 18:13 EST (History)
4 users (show)

See Also:
Fixed In Version: yum-3.2.28-3.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-14 13:21:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (859 bytes, text/plain)
2010-03-11 18:46 EST, Thom Carlin
no flags Details

  None (edit)
Description Thom Carlin 2010-03-11 18:46:53 EST
abrt 1.0.8 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/package-cleanup --problems 
component: yum-utils
executable: /usr/bin/package-cleanup
kernel: 2.6.31.5-127.fc12.x86_64
package: yum-utils-1.1.26-1.fc12
release: Fedora release 12 (Constantine)
uuid: 513728ff

backtrace
-----
Summary: TB513728ff miscutils.py:350:formatRequire:TypeError: unsupported operand type(s) for &: 'str' and 'int'

Traceback (most recent call last):
  File "/usr/bin/package-cleanup", line 382, in <module>
    util = PackageCleanup()
  File "/usr/bin/package-cleanup", line 58, in __init__
    self.main()
  File "/usr/bin/package-cleanup", line 309, in main
    issues = self._find_missing_deps(self.rpmdb.returnPackages())
  File "/usr/bin/package-cleanup", line 137, in _find_missing_deps
    missing = miscutils.formatRequire(req,ver,flags)
  File "/usr/lib/python2.6/site-packages/rpmUtils/miscutils.py", line 350, in formatRequire
    rpm.RPMSENSE_EQUAL):
TypeError: unsupported operand type(s) for &: 'str' and 'int'

Local variables in innermost frame:
s: gnome-python2-desktop
version: ('0', '2.26.0', '3.fc11')
flags: EQ
name: gnome-python2-desktop
Comment 1 Thom Carlin 2010-03-11 18:46:57 EST
Created attachment 399507 [details]
File: backtrace
Comment 2 Tim Lauridsen 2010-04-30 10:25:51 EDT
I have submit a patch to upstream to check for flags is an int in formatRequire 

commit f7a4b5f16726311af62aea00363bcaee090186ec
Author: Tim Lauridsen <timlau@fedoraproject.org>
Date:   Fri Apr 30 18:17:33 2010 +0200
Comment 3 Fedora Update System 2010-06-06 09:45:18 EDT
yum-utils-1.1.27-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/yum-utils-1.1.27-1.fc13
Comment 4 Fedora Update System 2010-06-08 15:35:44 EDT
yum-utils-1.1.27-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum-utils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/yum-utils-1.1.27-2.fc13
Comment 5 Fedora Update System 2010-06-14 13:20:39 EDT
yum-utils-1.1.27-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2010-08-02 10:12:12 EDT
yum-3.2.28-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/yum-3.2.28-1.fc13
Comment 7 Fedora Update System 2010-08-02 10:13:42 EDT
yum-3.2.28-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/yum-3.2.28-1.fc14
Comment 8 Fedora Update System 2010-08-02 10:15:14 EDT
yum-3.2.28-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/yum-3.2.28-1.fc12
Comment 9 Fedora Update System 2010-08-05 19:45:21 EDT
yum-3.2.28-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-08-12 16:16:15 EDT
yum-3.2.28-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/yum-3.2.28-3.fc12
Comment 11 Fedora Update System 2010-08-12 16:18:40 EDT
yum-3.2.28-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/yum-3.2.28-3.fc13
Comment 12 Fedora Update System 2010-08-12 16:21:05 EDT
yum-3.2.28-3.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/yum-3.2.28-3.fc14
Comment 13 Fedora Update System 2010-08-17 01:46:26 EDT
yum-3.2.28-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-08-19 22:20:01 EDT
yum-3.2.28-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2010-08-23 21:37:41 EDT
yum-3.2.28-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.